Get the caller's effective settings
const url = 'https://example.com/api/v1/settings/me';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/v1/settings/meThe current principal’s resolved settings, client-visible namespaces only, no provenance. Feeds the SPA at boot. Requires authentication.
Responses
Section titled “ Responses ”OK
object
A URL to the JSON Schema for this object.
object
object
Close the top blade
Open the command palette
Open the detail blade
Open the edit pane
object
Route the console opens to (an absolute path)
Console color theme
Example
{ "$schema": "/api/v1/schemas/SettingsMeOutputBody.json", "values": { "keybindings": { "close_blade": "Escape", "command_palette": "mod+k", "open_detail": "d", "open_edit": "e" }, "ui": { "default_landing": "/", "theme": "omniglass-dark" } }}default
Section titled “default ”Error
object
A URL to the JSON Schema for this object.
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
A URI reference that identifies the specific occurrence of the problem.
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "$schema": "/api/v1/schemas/ErrorModel.json", "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}